Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
Aivar68
Uus kasutaja
Uus kasutaja


Vanus: 51
Liitunud: 20.07.2014
Postitused: 12


blank.gif
postituspostitatud: 20.07.2014, 00:38  postituse pealkiri:  ID tarkvara  

Tere
Tahaks paigaldada Linuxile ID tarkvara aga see ei õnnestu kuidagi.
Kas keegi suudaks selgitada kuidas selle allalaetud skriptiga terminalis edasi toimetada ehk siis selgitada terminali kasutust, kuidas ja mida sinna sisestada.
Linux Mint17


Sander
Vana Pingviin
Vana Pingviin



Liitunud: 14.10.2007
Postitused: 615


estonia.gif
postituspostitatud: 20.07.2014, 06:40  postituse pealkiri:  (teema puudub)  

Paigutad skripti kodukataloogi ja siis terminalis
sudo sh install-esteid-ubuntu.sh
Ava terminal ja kopeeri see rida kasvõi siitsamast terminali ja vajuta enter. Seejärel küsitakse salasõna. Kui salasõna kirjutad, siis seda näha pole, ära lase end sellest häirida, kirjuta ära ja vajuta enter.


hannes
Pingviini aktivist
Pingviini aktivist


Vanus: 34
Liitunud: 18.06.2009
Postitused: 213
Asukoht: Pärnu
Distributsioon: Debian | Ubuntu
estonia.gif
postituspostitatud: 20.07.2014, 08:10  postituse pealkiri:  (teema puudub)  

Enne tuleks siiski see skript tekstiredaktoris avada ning 20. ja 21. real asendada sõna $OPSYS sõnaga trusty. Salvesta ära ja siis lase skript terminalis käima nagu kasutaja Sander õpetas.


Aivar68
Uus kasutaja
Uus kasutaja


Vanus: 51
Liitunud: 20.07.2014
Postitused: 12


blank.gif
postituspostitatud: 20.07.2014, 10:06  postituse pealkiri:  (teema puudub)  

Tänud vastuste eest.
Panen siia paar pilti sellest mis avaneb kui allalaadimiste alt avada see skript ja ka terminali aknast kui on pandud salasõna ja enter. Ei saa sealt ikkagi edasi. Allalaadimiste alt avaneb see skript justkui tekstifailina. Või peabki see nii olema?
Nii manust vist ei tulnud




Viimati muutis Aivar68 20.07.2014, 10:11; muudetud 1 kord
kristjanv001
Pingviini külastaja
Pingviini külastaja



Liitunud: 18.05.2014
Postitused: 15


blank.gif
postituspostitatud: 20.07.2014, 10:07  postituse pealkiri:  (teema puudub)  

1. laed alla scripti:
https://installer.id.ee/?lang=est&os=linux

2. pane skrip desktopile ja kirjuta terminali:
cd Desktop

3. seejärel terminali sudo gedit "skripti nimi ilma jutumärkideta"

4. asendada sõna $OPSYS sõnaga trusty

5. salvesta

6. kirjuta terminali sudo sh "skripti nimi" ENTER


Aivar68
Uus kasutaja
Uus kasutaja


Vanus: 51
Liitunud: 20.07.2014
Postitused: 12


blank.gif
postituspostitatud: 20.07.2014, 11:08  postituse pealkiri:  (teema puudub)  

sellise teate annab terminal
Can't open install-esteid-ubuntu.sh

Panin 2 ekraanipilti galeriisse peaks sealt näha olema.


maq
Pingviini aktivist
Pingviini aktivist



Liitunud: 16.08.2005
Postitused: 162

Distributsioon: Kubuntu 13.10
estonia.gif
postituspostitatud: 20.07.2014, 13:00  postituse pealkiri:  (teema puudub)  

Kuhu kausta sa selle skripti salvestasid? Tundub, et terminal ei ole avatud selest kaustast kus skript on. Kui see on sul desktopis siis tee nii nagu kristjanv001 õpetuses on punkt 2. Kui on allalaadimiste kaustas siis kirjuta terminali: cd Allalaadimised. Praegu ei leia ta sul skripti mida käivitada.


gnu

Troll - ära toida!
Troll - ära toida!



Liitunud: 01.12.2013
Postitused: 71

Distributsioon: trisquel-mini
blank.gif
postituspostitatud: 20.07.2014, 18:18  postituse pealkiri:  (teema puudub)  

trusty e. 14.04 versioon on id.ee repos nüüd olemas.

_________________
non-free distros
ccrypt
install-esteid-trisquel.sh

Skorzeny
Pingviini aktivist
Pingviini aktivist



Liitunud: 30.06.2007
Postitused: 353

Distributsioon: /LinuxMint Mate18.1/Backbox 4.5
burkinafaso.gif
postituspostitatud: 20.07.2014, 20:26  postituse pealkiri:  (teema puudub)  

kristjanv001 kirjutas:
1. laed alla scripti:
https://installer.id.ee/?lang=est&os=linux

2. pane skrip desktopile ja kirjuta terminali:
cd Desktop

3. seejärel terminali sudo gedit "skripti nimi ilma jutumärkideta"

4. asendada sõna $OPSYS sõnaga trusty

5. salvesta

6. kirjuta terminali sudo sh "skripti nimi" ENTER


Ei pea seal enam miskit asendama.

_________________
Image

hannes
Pingviini aktivist
Pingviini aktivist


Vanus: 34
Liitunud: 18.06.2009
Postitused: 213
Asukoht: Pärnu
Distributsioon: Debian | Ubuntu
estonia.gif
postituspostitatud: 20.07.2014, 20:38  postituse pealkiri:  (teema puudub)  

Skorzeny kirjutas:
kristjanv001 kirjutas:
1. laed alla scripti:
https://installer.id.ee/?lang=est&os=linux

2. pane skrip desktopile ja kirjuta terminali:
cd Desktop

3. seejärel terminali sudo gedit "skripti nimi ilma jutumärkideta"

4. asendada sõna $OPSYS sõnaga trusty

5. salvesta

6. kirjuta terminali sudo sh "skripti nimi" ENTER


Ei pea seal enam miskit asendama.


Kui Linux Mint, siis vist ikka peab?


hirax
Pingviini aktivist
Pingviini aktivist


Vanus: 49
Liitunud: 25.10.2013
Postitused: 251
Asukoht: maal ja merel
Distributsioon: Mint 18.2 KDE, Kubuntu18.04, Linux Lite
estonia.gif
postituspostitatud: 20.07.2014, 22:07  postituse pealkiri:  (teema puudub)  

Kui kasutad Google chrome, siis vajuta Automaatse paigaldusskripti lingil paremklikk ja "Salvesta link nimega"
Siiani olen mina muutnud failis ainult esimese rea.
Ehk siis selline "originaalrida": OPSYS=$(cat /etc/lsb-release | grep CODENAME= | sed -e 's/DISTRIB_CODENAME=//')
tuleb muuta selliseks: OPSYS=trusty
Siis enne kui minna terminalis kausta, kuhu ta alla laadisid , olen mina igaks juhuks muutnud ära selle allalaetud faili õigused.
Failihalduris samamoodi paremklikk failil -> omadused -> õigused ja linnuke kasti "käivitatav"
Peale seda terminalis asuda installi kallale Smile
Minu sarnane teema siin: https://pingviin.org/ftopic9917.html


Aivar68
Uus kasutaja
Uus kasutaja


Vanus: 51
Liitunud: 20.07.2014
Postitused: 12


blank.gif
postituspostitatud: 21.07.2014, 08:16  postituse pealkiri:  (teema puudub)  

Sain tarkvara arvutisse.
Muutsin ära selle ülemise rea nagu eelnevalt õpetati, jätsin allalaadimis akna lahti avasin terminali ja kirjutasin sinna sudo seejärel lohistasin allalaadimislehelt selle faili terminali aknasse, vajutasin enter seejärel salasõna ja enter ja seejärel hakkas paigaldus tööle.
Nüüd aga on nii et kui ID kaart lugejas ja avada ID haldusvahend siis loeb ID kaardipealt andmed probleemideta maha aga kui tahan kuskile sisse logida siis ei leia ID kaarti. Proovisin mitu korda erinevaid kohti aga ei saa. Sellise veateate andis Veakood: ssl_error_handshake_failure_alert. Mis on valesti?

Sain tööle Firefox tahtis restarti, peale seda olid pluginad olemas ja kõik töötab.


Skorzeny
Pingviini aktivist
Pingviini aktivist



Liitunud: 30.06.2007
Postitused: 353

Distributsioon: /LinuxMint Mate18.1/Backbox 4.5
burkinafaso.gif
postituspostitatud: 21.07.2014, 19:43  postituse pealkiri:  (teema puudub)  

hannes kirjutas:
Skorzeny kirjutas:
kristjanv001 kirjutas:
1. laed alla scripti:
https://installer.id.ee/?lang=est&os=linux

2. pane skrip desktopile ja kirjuta terminali:
cd Desktop

3. seejärel terminali sudo gedit "skripti nimi ilma jutumärkideta"

4. asendada sõna $OPSYS sõnaga trusty

5. salvesta

6. kirjuta terminali sudo sh "skripti nimi" ENTER


Ei pea seal enam miskit asendama.


Kui Linux Mint, siis vist ikka peab?


Vat krt, Mint'i all ehk tõesti.
UbuntuStudio'ga hakkas tööle out of box; Chromium plugin küll nõudis reboot'i.

_________________
Image

katrinm
Uus kasutaja
Uus kasutaja


Vanus: 58
Liitunud: 10.08.2014
Postitused: 1


estonia.gif
postituspostitatud: 10.08.2014, 15:45  postituse pealkiri:  (teema puudub)  

Tegin ka nii, nagu õpetuses öeldud.
Aga tulemus selline:
Mõnda paketti ei saanud paigaldada.
See võib tähendada, et oled palunud võimatut olukorda või kasutad ebastabiilset distributsiooni, millel on mõned vajalikud paketid veel loomata või on sissetulevate hulgast välja arvatud
Ei paigaldatud:
chrome-token-signing
libdigidocpp-tools
qdigidoc
gesteidutil

Tegemist on Lubuntuga, mitte Ubuntuga, ehk selles on probleem?


tris

Troll - ära toida!
Troll - ära toida!



Liitunud: 23.08.2014
Postitused: 713

Distributsioon: Debian
estonia.gif
postituspostitatud: 25.09.2014, 08:30  postituse pealkiri:  (teema puudub)  

Lubuntus sain id tööle (testisin) kui repod viisin põhiserveri peale synapticu abiga.

_________________
ricochet:yckka6zlbxv767lz

mait
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 14.12.2012
Postitused: 96
Asukoht: Tartu
Distributsioon: OpenSuse 12.2; 13.2, Leap
estonia.gif
postituspostitatud: 08.01.2015, 23:58  postituse pealkiri:  (teema puudub)  

OpenSUSE 13.2.

> lsusb
...
Bus 002 Device 003: ID 058f:9520 Alcor Micro Corp. EMV Certified Smart Card Reader
...
Näitab, et raudvara on olemas.

Paigaldatud on:
pcsc-lite = 1.8.11-4.4.1
opensc-0.13.0-2.1.3
openssl-1.0.1j-2.10.1
openct-0.6.20-21.1.3


>/usr/sbin/pcscd -f -d
... annab pika joru teateid. Kaart sisse ja välja tekitab :
Kood:
00000040 readerfactory.c:1356:RFWaitForReaderInit() Waiting init for reader: Alcor Micro AU9520 00 00
06494608 ifdhandler.c:1139:IFDHPowerICC() action: PowerUp, usb:058f/9520:libudev:0:/dev/bus/usb/002/003 (lun: 0)
00001190 eventhandler.c:407:EHStatusHandlerThread() powerState: POWER_STATE_POWERED
00000015 eventhandler.c:422:EHStatusHandlerThread() Card inserted into Alcor Micro AU9520 00 00
00000011 Card ATR: 3B DE 18 FF C0 80 B1 FE 45 1F 03 45 73 74 45 49 44 20 76 65 72 20 31 2E 30 2B
03006298 eventhandler.c:481:EHStatusHandlerThread() powerState: POWER_STATE_UNPOWERED
00000546 eventhandler.c:361:EHStatusHandlerThread() Card Removed From Alcor Micro AU9520 00 00


Justkui saaks aru, et kaart käis kaardilugejas.


Aga:

>opensc-tool --list-readers
No smart card readers found.

Miks?


akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 709
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 09.01.2015, 08:52  postituse pealkiri:  (teema puudub)  

mait kirjutas:
OpenSUSE 13.2.
> lsusb
...
Bus 002 Device 003: ID 058f:9520 Alcor Micro Corp. EMV Certified Smart Card Reader

Aga:
>opensc-tool --list-readers
No smart card readers found.

Miks?


Mul on seesama 9520 Alcor Micro Corp, EMV Certified Smart Card Reader ja OpenSUSE-13.1.
Selle Alcoriga saan kontakti umbes igal viiendal pcscd käivitamisel.
Kuivõrd arvuti käib kogu aeg, pole suur vaev peale arvuti käivitamist korra ka see Alcor Micro käima meelitada.
Arvaks, et kuskil mingi kiiruste probleem, aga soovitada ei oska muud, kui välise kaardilugeja kasutamist.


mait
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 14.12.2012
Postitused: 96
Asukoht: Tartu
Distributsioon: OpenSuse 12.2; 13.2, Leap
estonia.gif
postituspostitatud: 09.01.2015, 09:00  postituse pealkiri:  (teema puudub)  

Kõik töötas probleemideta veel paar päeva tagasi, kui oli koos kõvakettaga bitimaale lennanud OpenSuse 13.1.


natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 09.01.2015, 09:49  postituse pealkiri:  (teema puudub)  

akbgf kirjutas:
mait kirjutas:
OpenSUSE 13.2.
> lsusb
...
Bus 002 Device 003: ID 058f:9520 Alcor Micro Corp. EMV Certified Smart Card Reader

Aga:
>opensc-tool --list-readers
No smart card readers found.

Miks?


Mul on seesama 9520 Alcor Micro Corp, EMV Certified Smart Card Reader ja OpenSUSE-13.1.
Selle Alcoriga saan kontakti umbes igal viiendal pcscd käivitamisel.
Kuivõrd arvuti käib kogu aeg, pole suur vaev peale arvuti käivitamist korra ka see Alcor Micro käima meelitada.
Arvaks, et kuskil mingi kiiruste probleem, aga soovitada ei oska muud, kui välise kaardilugeja kasutamist.


See lugeja hakkab tööle vanema ccid abil, *buntu ja Mintlinuksi jaoks libccid 1.4.2-2

Kui mõnes vanemas Open Suses töötab, siis:

http://www.rpmseek.com/rpm-pl/pcsc-ccid.html?hl=com&cs=pcsc-lite:RE:0:0:0:0:20

Usun, et *.rpm annab ka lukustada, muidu pakub pidevalt uuendust.

See on lihtsalt lolli inimese pakkumine, ärge kaklema hakake. Very Happy

_________________
Kõige parem asi on töötav asi.

mait
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 14.12.2012
Postitused: 96
Asukoht: Tartu
Distributsioon: OpenSuse 12.2; 13.2, Leap
estonia.gif
postituspostitatud: 09.01.2015, 20:10  postituse pealkiri:  (teema puudub)  

EI paremaks ei halvemaks - st opensc-tool ei leia midagi. Veel ideid, mida katsetada?


Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group